## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDefaultDocumentBuilder Class Reference

This is class is designed to allow a XalanTranfomer object to use a document that is build dynamically by a user. More...

`#include <XalanDefaultDocumentBuilder.hpp>`

Inheritance diagram for XalanDefaultDocumentBuilder

Collaboration diagram for XalanDefaultDocumentBuilder:

List of all members.

## Public Methods

- XalanDefaultDocumentBuilder (const XalanDOMString& theURI = XalanDOMString())
    Create a XalanDefaultDocumentBuilder instance,. More...
- virtual ~XalanDefaultDocumentBuilder ()
- virtual XalanDocument* getDocument () const
    Get a pointer to the XalanDocument instance for the source document. More...
- virtual XalanParsedSourceHelper* createHelper () const
    Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance. More...
- virtual const XalanDOMString& getURI () const
    Get the URI for the parsed source, if any. More...
- virtual ContentHandlerType* getContentHandler ()
- virtual DTDHandlerType* getDTDHandler ()
- virtual LexicalHandlerType* getLexicalHandler ()

## Detailed Description

This is class is designed to allow a XalanTranfomer object to use a document that is build dynamically by a user.

## Constructor & Destructor Documentation

XalanDefaultDocumentBuilder::XalanDefaultDocumentBuilder ( | const XalanDOMString & theURI = XalanDOMString() )

Create a XalanDefaultDocumentBuilder instance,.

Parameters:

  theURI | An optional string to identify the document.

virtual XalanDefaultDocumentBuilder::~XalanDefaultDocumentBuilder ( | )`[virtual]`

## Member Function Documentation

virtual XalanParsedSourceHelper* XalanDefaultDocumentBuilder::createHelper ( | ) const`[virtual]`

Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance.

The caller is responsible for deleting the object when finished.

Returns:
  A pointer to a XalanParsedSourceHelper instance.

Reimplemented from XalanDocumentBuilder.

virtual ContentHandlerType* XalanDefaultDocumentBuilder::getContentHandler ( | )`[virtual]`

Reimplemented from XalanDocumentBuilder.

virtual DTDHandlerType* XalanDefaultDocumentBuilder::getDTDHandler ( | )`[virtual]`

Reimplemented from XalanDocumentBuilder.

virtual XalanDocument* XalanDefaultDocumentBuilder::getDocument ( | ) const`[virtual]`

Get a pointer to the XalanDocument instance for the source document.

Returns:
  A pointer to a XalanDocument instance.

Reimplemented from XalanDocumentBuilder.

virtual LexicalHandlerType* XalanDefaultDocumentBuilder::getLexicalHandler ( | )`[virtual]`

Reimplemented from XalanDocumentBuilder.

virtual const XalanDOMString& XalanDefaultDocumentBuilder::getURI ( | ) const`[virtual]`

Get the URI for the parsed source, if any.

use for transforming with the instance.

Returns:
  A const reference to a string containing the URI

Reimplemented from XalanDocumentBuilder.

The documentation for this class was generated from the following file:

- XalanDefaultDocumentBuilder.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.